{% extends 'base.html' %}

{% block contenido %}
  <div class="container">   
    <br>
    <div class="row">
      <div class="col s12">
        <ul class="tabs">

          <li class="tab col s4"><a 
            {% if tab == 'sincomprar' %}
              class="active"
              href="#carrito-{{tab}}"
            {% else %}
              href="#carrito"
            {% endif %}
              onclick="location.href='{% url 'listar_carrito' %}'">Mi carrito de compras</a></li>

          <li class="tab col s4"><a 
            {% if tab == 'pendientes' %}
              class="active"
              href="#carrito-{{tab}}"
            {% else %}
              href="#carrito"
            {% endif %}
              onclick="location.href='{% url 'listar_pendientes' %}'">Mis compras pendientes</a></li>

          <li class="tab col s4"><a 
            {% if tab == 'finalizadas' %}
              class="active"
              href="#carrito-{{tab}}"
            {% else %}
              href="#carrito"
            {% endif %}
              onclick="location.href='{% url 'listar_finalizado' %}'">Mis compras realizadas</a></li>
        </ul>
      </div>
      <div id="carrito-{{tab}}" class="col s12">
        

        <ul class="collection with-header">
          {% if tab == 'sincomprar' %}
            <li class="collection-header">
              <center>
                <h2>
                  Por pagar
                </h2>
                <h4 id="total">
                  Total: $10
                </h4>
              </center>
            </li>
          {% endif %}
            
          {% for carrito in object_list %}
          {% if carrito.usuario.pk == request.user.pk %}

            <li class="collection-item col s12">
              <div class="col s6">
                {{carrito.producto.nombreProducto}} <br>
                Precio: ${{carrito.precio|stringformat:".2f"}} 
                <br>Cantidad: {{carrito.cantidad}}
                <br>
              </div>
              <div class="col s6">
                <br>
                {% if tab == 'sincomprar' %}
                  <form method="POST" action="{% url 'eliminar_carrito' carrito.pk %}">
                    {% csrf_token %}
                    <button type="submit" class="btn secondary-content">
                      <i class="material-icons">delete</i>
                    </button>
                  </form>
                {% endif %}
              </div>
            </li>

          {% endif%}

          {% empty %}
            <li class="collection-item">
              <div>
                <center>
                  No tienes productos en tu carrito.
                </center>
              </div>
            </li>
          {% endfor %}
          
        </ul>
        <br>

        <center>
          <a href="{% url 'pagar' %}" class="waves-effect waves-light btn-large">Pagar</a>
        </center>

      </div>
    </div>
  </div>

{% endblock contenido %}
{% block seccionjavascript %}
  <script>
    $(document).ready(function(){
      var precioPP = 0
      var cantidadP = 0
      var valor = 0.0
      {% for carrito in object_list %}
      {% if carrito.usuario.pk == request.user.pk %}
      //Cantidad Producto
      cantidadP = {{carrito.cantidad}}
      //Precio Por Producto
      precioPP = {{carrito.precio|stringformat:".2f"}}
      //Precio Por Cantidad
      precioPC = cantidadP * precioPP
      valor = valor + precioPC
      {% endif %}
      {% endfor %}
      $("#total").html("Total: "+"$"+valor.toFixed(2))
    });
  </script>
{% endblock seccionjavascript %}